Quiero probar este biblioteca en mi proyecto android. Estoy usando Android Studio 0.4.6.

La LÉAME.markdown archivo me dice que inserte esta dentro de pom.xml:

<!-- in the 'repositories' section -->
<repository>
  <id>keytwo.net</id>
  <name>Keytwo.net Repository</name>
  <url>http://audiobox.keytwo.net</url>
</repository>

<!-- in the 'dependencies' section -->
<dependency>
  <groupId>io.socket</groupId>
  <artifactId>socket.io-client</artifactId>
  <version>0.2.1</version> <!-- the desidered version -->
</dependency>

El problema es que no tengo ninguna pom.xml. He creado uno en mi directorio raíz del proyecto y sincronizados gradle configuración pero no hace nada. Hasta ahora sólo he utilizado ya compilado .los archivos jar o utiliza el gradle compilar la función.

¿Cómo puedo usar esta biblioteca en mi proyecto?

InformationsquelleAutor letiagoalves | 2014-02-25

1 Comentario

  1. 73

    Android Studio no usar Maven como su constructor; utiliza Gradle en su lugar. Afortunadamente, Gradle puede utilizar los repositorios de Maven para recuperar las dependencias, por lo que es una cuestión de tomar la información que debería ir en el pom de archivo y utilizarlo en Gradle formato. Estas modificaciones van en la construcción.gradle de archivo en el módulo del directorio (no en la generación de archivos en el directorio raíz del proyecto).

    Primero, configurar el repositorio donde se puede encontrar la dependencia.

    repositories {
        maven { url 'http://audiobox.keytwo.net' }
    }

    y, a continuación, añadir la dependencia de sí mismo por añadir esta línea a su dependencies bloque:

    dependencies {
        ...
        compile 'io.socket:socket.io-client:0.2.1'
    }

    Actualización:

    De POM archivo:

    compile '<groupId>:<artifactId>:<version>'
    • gracias. fue muy clara la respuesta 🙂
    • Barta. Entonces, ¿cuál es el propósito principal de Maven dentro de Android Studio, entonces? En qué circunstancia Maven es un deber opción?
    • No utilizar Maven como un generador pero Gradle utiliza algunos trozos y piezas, como ser capaz de descargar las dependencias en su POM formato, que es lo que esto se refiere.
    • No puede conseguir que esto funcione. Se sigue dando me un error de compilación. Tiene la solución cambiado desde la versión beta? Estoy usando Android Studio versión 1.2.1.1 ahora.
    • Quería añadir un esta biblioteca, y es que muestra el error: no se pudo resolver: org.pdfparse:pdfparse:1.0 aplicación ‘org.pdfparse:pdfparse:1.0’

Dejar respuesta

Please enter your comment!
Please enter your name here